<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <mat-form-field appearance="fill" class="col-12">
      <mat-label class="font-comp">Seleccione categoría</mat-label>

      <mat-select name="categoria" class="font-comp"  [(ngModel)]="regserv.categoria_reg.idcategoria" (selectionChange)="configserv.listado_categoria(regserv.categoria_reg.idcategoria, regserv.categoria_reg.superior)" >
        <mat-option value="">NINGUNO</mat-option>
        <mat-option
          *ngFor="let option of configserv.combocategoria"
          value="{{ option.id }}">
        {{ option.descripcion }}
      </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field *ngIf="configserv.stcat"  appearance="fill" class="col-12">
      <mat-label class="font-comp">Seleccione subcategoría</mat-label>
      <mat-select name="subcategoria" class="font-comp"  [(ngModel)]="regserv.categoria_reg.superior">
        <mat-option value="">NINGUNO</mat-option>
        <mat-option
          *ngFor="let option of configserv.combosubcategoria"
          value="{{ option.id }}">
        {{ option.descripcion }}
      </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Descripción</mat-label>
      <input matInput placeholder="Ingrese descripción" name="descripcion" value="" class="col-l font-comp mayus" [(ngModel)]="regserv.categoria_reg.descripcion">
    </mat-form-field>
  </form>
  <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="configserv.onNoClickDialog(dialogRef)">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button  (click)="registrar()" >Aceptar</button>
    <!-- cdkFocusInitial ->FOCUS -->
  </div>
</div>



